Bug 1201702 - The flag "--dump-logs" of cancel-build does not work.
Summary: The flag "--dump-logs" of cancel-build does not work.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Build
Version: 3.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Cesar Wong
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-13 10:00 UTC by DeShuai Ma
Modified: 2015-07-07 23:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-07 23:44:50 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description DeShuai Ma 2015-03-13 10:00:43 UTC
Description of problem:
When cancel a build with option "--dump-logs",there is no log of the cancelled build returned.

Version-Release number of selected component (if applicable):
openshift v0.4.1-56-gce53783
kubernetes v0.11.0-330-g6241a21

How reproducible:
Always.

Steps to Reproduce:
1.Start the openshift in all-in-one and make sure the env is ok.

2.Submit the application template for processing and then request creation of the processed template:
$ osc process -n deshuai -f application-template-stibuild.json | osc create -n deshuai -f -

3.Start a build.
$ osc start-build ruby-sample-build -n deshuai

4.Cancel the build in step3 and add option "--dump-logs" to the command.
$ osc cancel-build ruby-sample-build-2fb71e75-c958-11e4-a93f-22000bd41123 --dump-logs=true -n deshuai

Actual results:
4.There is no cancelled build log shown.
$ osc cancel-build ruby-sample-build-2fb71e75-c958-11e4-a93f-22000bd41123  --dump-logs=true -n deshuai

Expected results:
4.the build logs for the cancelled build should be shown.

Additional info:

Comment 1 DeShuai Ma 2015-03-16 08:12:25 UTC
Test again on openshift v0.4.1-92-g4cd2b80
kubernetes v0.11.0-330-g6241a21
Now it tip error:
[fedora@ip-10-152-30-244 sample-app]$ osc cancel-build ruby-sample-build-fe505477-cbb1-11e4-9ca2-22000b559a84 --dump-logs=true -n deshuai
E0316 08:02:42.527295    2226 cancelbuild.go:70] Could not fetch build logs for ruby-sample-build-fe505477-cbb1-11e4-9ca2-22000b559a84: unexpected EOF
ruby-sample-build-fe505477-cbb1-11e4-9ca2-22000b559a84

Comment 2 Clayton Coleman 2015-04-17 04:38:53 UTC
Might be related to the build log issues.

Comment 3 Cesar Wong 2015-05-07 16:52:52 UTC
Fixed with https://github.com/openshift/origin/pull/1886

Comment 4 DeShuai Ma 2015-05-11 02:20:20 UTC
Test on devenv-fedora_1476, The "--dump-logs" now can output logs when cancel a build.


Note You need to log in before you can comment on or make changes to this bug.